## cargo 0.60.0ubuntu1

=== debian/changelog ===
cargo (0.60.0ubuntu1-0ubuntu3) kinetic; urgency=medium

  Cherry-picked from Debian 0.57 branch for autopkgtests:
  * Add an autopkgtest for cargo to build itself
  * Disable cross-build tests in autopkgtests

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 22 Jun 2022 09:32:05 +0200

cargo (0.60.0ubuntu1-0ubuntu2) kinetic; urgency=medium

  * Cherry pick from Debian: Fix debian cargo wrapper to stop looking 
    for subcommands once it finds one so that it is possible to test 
    features whose name matches a subcommand.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jun 2022 23:08:57 +0000

cargo (0.60.0ubuntu1-0ubuntu1) kinetic; urgency=medium

  * Add an explicit mechanism to customize the vendoring process
  * New upstream release:
    - d/copyright: exclude the vendored benchmark workspaces
    - d/copyright: Document new vendored crates
    - d/p/{filetime-pr-75, libc-pr-2642}.patch: deleted, merged upstream

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 08 Jun 2022 10:41:56 +0200

=== debian/tests/control ===
Tests: self-build
Restrictions: rw-build-tree, allow-stderr
Depends: @builddeps@

## cargo 0.60.0ubuntu2

=== debian/changelog ===
cargo (0.60.0ubuntu2-0ubuntu2) kinetic; urgency=medium

  * d/control: add the XS-Vendored-Sources-Rust field (LP: #1987640)
    This allows precise tracking of vendored sources.
  * d/rules, d/control: use dh-cargo's dh-cargo-vendored-sources script.
    This ensure that the vendoring information stays up-to-date by failing
    early in the build in case of obsolete info.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Aug 2022 18:51:24 +0200

cargo (0.60.0ubuntu2-0ubuntu1) kinetic; urgency=medium

  * Remove the embedded libgit2 C library from vendored tarball,
    using the system one instead
  * d/copyright: remove a *lot* of obsolete entries
  * d/p/remove-badges.patch: remove badges from documentation for privacy
    reasons
  * d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
    to accommodate Ubuntu autopkgtest setup

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 24 Jun 2022 11:17:27 +0200

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 dh-cargo (>= 28ubuntu1~),
 cargo:native    (>= 0.17.0),
 rustc:native    (>= 1.16),
 libstd-rust-dev (>= 1.16),
 pkg-config,
 cmake,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.3.0),
 libgit2-dev (<< 1.4~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.18, ansi_term@0.12.1, anyhow@1.0.56, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, bitmaps@2.1.0, bstr@0.2.17, bytesize@1.1.0, cc@1.0.73, cfg-if@1.0.0, clap@2.34.0, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, core-foundation-sys@0.8.3, core-foundation@0.9.3, crc32fast@1.3.2, crossbeam-utils@0.8.8, crypto-hash@0.3.4, curl-sys@0.4.53+curl-7.82.0, curl@0.4.43, either@1.6.1, env_logger@0.7.1, env_logger@0.9.0, fastrand@1.7.0, filetime@0.2.16, flate2@1.0.23, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.0.1, fwdansi@1.1.0, git2-curl@0.14.1, git2@0.13.25, glob@0.3.0, globset@0.4.8, hermit-abi@0.1.19, hex@0.4.3, home@0.5.3, humantime@1.3.0, humantime@2.1.0, idna@0.2.3, ignore@0.4.18, im-rc@15.0.0, itertools@0.10.3, itoa@1.0.1, jobserver@0.1.24, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.124, libgit2-sys@0.12.26+1.3.0, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.5, log@0.4.16, matches@0.1.9, memchr@2.4.1, miniz_oxide@0.5.1, miow@0.3.7, num_cpus@1.13.1, once_cell@1.10.0, opener@0.5.0, openssl-probe@0.1.5, openssl-sys@0.9.72, openssl@0.10.38, os_info@3.2.0, percent-encoding@2.1.0, pkg-config@0.3.25, pretty_env_logger@0.4.0, proc-macro2@1.0.37, quick-error@1.2.3, quote@1.0.18, rand_core@0.5.1, rand_xoshiro@0.4.0, redox_syscall@0.2.13, regex-automata@0.1.10, regex-syntax@0.6.25, regex@1.5.5, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.0, ryu@1.0.9, same-file@1.0.6, schannel@0.1.19, semver@1.0.7, serde@1.0.136, serde_derive@1.0.136, serde_ignored@0.1.2, serde_json@1.0.79, shell-escape@0.1.5, sized-chunks@0.6.5, socket2@0.4.4, strip-ansi-escapes@0.1.1, strsim@0.8.0, syn@1.0.91, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.11.0, thread_local@1.1.4, tinyvec@1.5.1, tinyvec_macros@0.1.0, toml@0.5.9, typenum@1.15.0, unicode-bidi@0.3.7, unicode-normalization@0.1.19, unicode-width@0.1.9, unicode-xid@0.2.2, url@2.2.2, utf8parse@0.2.0, vcpkg@0.2.15, vec_map@0.8.2, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

CARGO = $(CURDIR)/debian/bin/cargo

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
RUSTFLAGS := --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)

# https://github.com/rust-lang/rust/issues/52108
ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
  RUSTFLAGS += -Ctarget-feature=+xgot
endif

export RUSTFLAGS

# don't shrink, this can take ages
# see https://github.com/rust-lang/cargo/issues/6490 for details
export PROPTEST_MAX_SHRINK_ITERS = 0
export CARGO_TEST_SLOW_CPU_MULTIPLIER = 4

# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     CARGO_TEST_FLAGS="package::include -- <args ...>"
# See `cargo test --help` for more options.
CARGO_TEST_FLAGS =

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CURDIR)/vendor
	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources

override_dh_auto_build-arch:
	$(CARGO) build

override_dh_auto_build-indep:
	$(CARGO) doc

override_dh_auto_test-arch:
	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)

override_dh_auto_test-indep:
	# no arch-indep tests

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/cargo $(CARGO) install

override_dh_auto_clean:
	$(CARGO) clean

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig
	rm -f Cargo.lock

## cargo 0.62.0ubuntu0libgit2

=== debian/changelog ===
cargo (0.62.0ubuntu0libgit2-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to Jammy (LP: #1986648)
  * Re-enable libgit2 vendoring
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 14:58:00 +0200

cargo (0.62.0ubuntu1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1986648)
  * d/p/i386-crossbuild-tests.patch: disable some failing tests for
    cross-building from i386

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 08 Sep 2022 11:44:51 +0200

## cargo 0.62.0ubuntu1

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.17.0),
 rustc:native    (>= 1.16),
 libstd-rust-dev (>= 1.16),
 pkg-config,
 cmake,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.3.0),
 libgit2-dev (<< 1.4~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

## cargo 0.63.1

=== debian/changelog ===
cargo (0.63.1-3) unstable; urgency=medium

  * workaround armel breakage

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 07 Dec 2022 14:58:58 +0100

cargo (0.63.1-2) unstable; urgency=medium

  [ Ryan Gonzalez ]
  * Fix path remapping for crate dependencies

  [ Fabian Grünbichler ]
  * disable utf-8 fs-specific test
  * fix i386 build / cross tests

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 19 Nov 2022 10:48:29 +0100

cargo (0.63.1-1) unstable; urgency=medium

  * New upstream release
  * switch to libgit2-1.5 (Closes: #1021504, #1017828)
  * Update guess-crate-copyright to handle missing authors field gracefully
  * Update audit-vendor-source to handle ZFS and similar file systems
  * silence GZIP deprecation warning
  * fix CVE-2022-36113/CVE-2022-36114 (Closes: #1021142)

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: zlib1g-dev:native. (Closes: #1019491)

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 17 Sep 2022 22:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -15,16 +14,16 @@
  rustc:native    (>= 1.16),
  libstd-rust-dev (>= 1.16),
  pkg-config,
- cmake,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.3.0),
- libgit2-dev (<< 1.4~~),
+ libgit2-dev (>= 1.5.0),
+ libgit2-dev (<< 1.6~~),
  libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
+ zlib1g-dev:native,
  git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1

## cargo 0.64.0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0

=== debian/changelog ===
cargo (0.64.0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0) etiona-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 22 Dec 2022 18:41:24 +0000

cargo (0.64.0ubuntu0.libgit2-0ubuntu0.18.04) bionic; urgency=medium

  * Backport to bionic (LP: #1995096)
    - downgrade the dh compat level
  * Re-vendor libgit2 C lib and revert associated patch
  * d/rules: Remove the vendored sources tracking code since deps
    aren't available

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 15:28:21 +0100

cargo (0.64.0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1995096):
    - Update vendored sources info
  * Bump the libgit2-related crates to get libgit2 1.5.0 bindings
  * make_orig_multi.sh: only use xz for vendor orig tarball on Ubuntu

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 29 Nov 2022 15:05:19 +0100

cargo (0.63.1-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.
    Remaining changes:
    - Add an explicit mechanism to customize the vendoring process
    - d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
      to accomodate Ubuntu autopkgtest setup
    - d/p/i386-crossbuild-tests.patch: disable some failing tests for
      cross-building from i386
    - d/p/remove-badges.patch: remove badges from documentation for privacy
      reasons
    - autopkgtests: test on all arches on Ubuntu
    - d/control: update the Vcs fields to point to Launchpad
    - make_orig_multi.sh: fix orig tarball compression to xz on Ubuntu
    - Track vendored dependencies

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 25 Nov 2022 16:42:43 +0100

cargo (0.62.0ubuntu1-0ubuntu2) kinetic; urgency=medium

  * d/p/i386-crossbuild-tests.patch: disable some failing tests for
    cross-building from i386

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 14:59:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cargo
 Section: devel
-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -8,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 12~),
+ debhelper (>= 11~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.17.0),
  rustc:native    (>= 1.16),
@@ -18,17 +19,17 @@
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.5.0),
- libgit2-dev (<< 1.6~~),
- libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
  zlib1g-dev:native,
  git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
+XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
+Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
+Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
+XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.66, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, bitmaps@2.1.0, bstr@0.2.17, bytes@1.3.0, bytesize@1.1.0, cc@1.0.77, cfg-if@1.0.0, clap@3.2.23, clap_lex@0.2.4, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.0.5, concolor@0.0.8, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, crc32fast@1.3.2, crossbeam-utils@0.8.14, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, dunce@1.0.3, either@1.8.0, env_logger@0.7.1, env_logger@0.9.3, fastrand@1.8.0, filetime@0.2.18, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, git2-curl@0.15.0, git2@0.14.4, glob@0.3.0, globset@0.4.9, hashbrown@0.12.3, hex@0.4.3, home@0.5.4, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.18, im-rc@15.1.0, indexmap@1.9.2, itertools@0.10.5, itoa@1.0.4, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.137, libgit2-sys@0.13.4+1.4.2, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.3.7, normalize-line-endings@0.3.0, num_cpus@1.14.0, once_cell@1.16.0, opener@0.5.0, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.78, openssl@0.10.43, os_info@3.5.1, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.47, quick-error@1.2.3, quote@1.0.21, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.0, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, ryu@1.0.11, same-file@1.0.6, semver@1.0.14, serde@1.0.148, serde_derive@1.0.148, serde_ignored@0.1.5, serde_json@1.0.89, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.2.1, snapbox@0.2.10, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, syn@1.0.104, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.16.0, thread_local@1.1.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, toml_edit@0.14.4, typenum@1.15.0, unicode-bidi@0.3.8, unicode-ident@1.0.5, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1
 
 Package: cargo
 Architecture: any

## cargo 0.64.0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0

=== debian/changelog ===
cargo (0.64.0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0) nabia-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 22 Dec 2022 13:58:30 +0000

cargo (0.64.0ubuntu0.libgit2-0ubuntu0.20.04) focal; urgency=medium

  * Backport to focal (LP: #1995096)
  * Re-vendor libgit2 C lib and revert associated patch
  * d/rules: Remove the vendored sources tracking code since deps
    aren't available

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 15:14:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.17.0),
  rustc:native    (>= 1.16),

## cargo 0.64.0ubuntu1

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.17.0),
 rustc:native    (>= 1.16),
 libstd-rust-dev (>= 1.16),
 dh-cargo        (>= 28ubuntu1),
 pkg-config,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.5.0),
 libgit2-dev (<< 1.6~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 zlib1g-dev:native,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.66, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, bitmaps@2.1.0, bstr@0.2.17, bytes@1.3.0, bytesize@1.1.0, cc@1.0.77, cfg-if@1.0.0, clap@3.2.23, clap_lex@0.2.4, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.0.5, concolor@0.0.8, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, crc32fast@1.3.2, crossbeam-utils@0.8.14, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, dunce@1.0.3, either@1.8.0, env_logger@0.7.1, env_logger@0.9.3, fastrand@1.8.0, filetime@0.2.18, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, git2-curl@0.16.0, git2@0.15.0, glob@0.3.0, globset@0.4.9, hashbrown@0.12.3, hex@0.4.3, home@0.5.4, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.18, im-rc@15.1.0, indexmap@1.9.2, itertools@0.10.5, itoa@1.0.4, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.137, libgit2-sys@0.14.0+1.5.0, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.3.7, normalize-line-endings@0.3.0, num_cpus@1.14.0, once_cell@1.16.0, opener@0.5.0, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.78, openssl@0.10.43, os_info@3.5.1, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.47, quick-error@1.2.3, quote@1.0.21, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.0, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, ryu@1.0.11, same-file@1.0.6, semver@1.0.14, serde@1.0.148, serde_derive@1.0.148, serde_ignored@0.1.5, serde_json@1.0.89, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.2.1, snapbox@0.2.10, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, syn@1.0.104, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.16.0, thread_local@1.1.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, toml_edit@0.14.4, typenum@1.15.0, unicode-bidi@0.3.8, unicode-ident@1.0.5, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

## cargo 0.66.0%2Bds0ubuntu0.libgit2-0ubuntu0.18.04%2B9.0trisquel0

=== debian/changelog ===
cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0) etiona-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 18:39:16 +0000

cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.18.04) bionic; urgency=medium

  * Backport to Bionic (LP: #2000839)
  * Re-enable libgit2 vendoring:
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D
    - include Rust provided patches to fix CVE-2022-46176
  * Remove the need of dh-cargo
  * Downgrade the debhelper requirements

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Jan 2023 13:42:34 -0700

cargo (0.66.0+ds1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2000839):
    Remaining changes:
    - Add an explicit mechanism to customize the vendoring process
    - d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
      to accommodate Ubuntu autopkgtest setup
    - d/p/i386-crossbuild-tests.patch: disable some failing tests for
      cross-building from i386
    - d/p/remove-badges.patch: remove badges from documentation for privacy
      reasons (refreshed)
    - autopkgtests: test on all arches on Ubuntu
    - d/control: update the Vcs fields to point to Launchpad
    - make_orig_multi.sh: fix orig tarball compression to xz on Ubuntu
    - Track vendored dependencies
    - Bump the libgit2-related crates to get libgit2 1.5.0 bindings
    - make_orig_multi.sh: only use xz for vendor orig tarball on Ubuntu
  * Update vendored sources information

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 17 Jan 2023 14:48:37 +0100

cargo (0.66.0+ds1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix CVE-2022-46176 (Thanks Peter Green!)
  * repack vendored sources with required libgit2-sys/git2/git2-curl versions
  * update unsuspicious files

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 18:55:09 +0100

cargo (0.66.0-1) unstable; urgency=medium

  * new upstream version 0.66

  [ Blair Noctis ]
  * Update debcargo-conf.patch, unapply tempfile patch to match vendored
  * Refresh patches and remove upstream applied CVE patches
  * Patch test macro to work around qemu vfork bug when command not found

  [ Fabian Grünbichler ]
  * no longer pin git2/libgit2-sys
  * update debcargo-conf.patch (concolor, clap)
  * update unsuspicious files
  * d/control: depend on rustc 1.63
  * drop armel workaround

  [ Rob Shearman ]
  * d/control: update minimum cargo, rustc and libstd-rust-dev versions

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sun, 08 Jan 2023 16:38:30 +0100

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 11~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.56.0),
 rustc:native    (>= 1.63),
 libstd-rust-dev (>= 1.63),
 pkg-config,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libssl-dev,
 zlib1g-dev,
 zlib1g-dev:native,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.68, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, base64@0.13.1, bitflags@1.3.2, bitmaps@2.1.0, block-buffer@0.10.3, bstr@0.2.17, bstr@1.1.0, bytes@1.3.0, bytesize@1.1.0, cc@1.0.78, cfg-if@1.0.0, clap@3.2.23, clap_lex@0.2.4, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.0.5, concolor@0.0.8, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, cpufeatures@0.2.5, crc32fast@1.3.2, crypto-common@0.1.6, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, digest@0.10.6, dunce@1.0.3, either@1.8.0, env_logger@0.7.1, env_logger@0.9.3, fastrand@1.8.0, filetime@0.2.19, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, generic-array@0.14.6, git2-curl@0.17.0, git2@0.16.0, glob@0.3.1, globset@0.4.10, hashbrown@0.12.3, hex@0.4.3, hmac@0.12.1, home@0.5.4, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.19, im-rc@15.1.0, indexmap@1.9.2, itertools@0.10.5, itoa@1.0.5, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.139, libgit2-sys@0.14.1+1.5.0, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.3.7, normalize-line-endings@0.3.0, once_cell@1.17.0, opener@0.5.0, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.80, openssl@0.10.45, os_info@3.5.1, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.49, quick-error@1.2.3, quote@1.0.23, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.0, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, ryu@1.0.12, same-file@1.0.6, schannel@0.1.19, semver@1.0.16, serde@1.0.152, serde_derive@1.0.152, serde_ignored@0.1.7, serde_json@1.0.91, sha1@0.10.5, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.3.1, snapbox@0.3.3, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, subtle@2.4.1, syn@1.0.107, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.16.0, thread_local@1.1.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, toml_edit@0.14.4, typenum@1.16.0, unicode-bidi@0.3.8, unicode-ident@1.0.6, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

## cargo 0.66.0%2Bds0ubuntu0.libgit2-0ubuntu0.20.04%2B10.0trisquel0

=== debian/changelog ===
cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0) nabia-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 18:39:52 +0000

cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.20.04) focal; urgency=medium

  * Backport to Focal (LP: #2000839)
  * Re-enable libgit2 vendoring:
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D
    - include Rust provided patches to fix CVE-2022-46176
  * Remove the need of dh-cargo

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Jan 2023 13:42:34 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),

## cargo 0.66.0+ds0ubuntu0.libgit2

=== libgit2-sys/libgit2/src/CMakeLists.txt ===
# The main libgit2 source tree: this CMakeLists.txt identifies platform
# support and includes the subprojects that make up core libgit2 support.

#
# Optional build configuration settings
#

if(DEPRECATE_HARD)
        add_definitions(-DGIT_DEPRECATE_HARD)
endif()

if(USE_LEAK_CHECKER STREQUAL "valgrind")
	add_definitions(-DVALGRIND)
endif()

#
# Optional debugging functionality
#

if(DEBUG_POOL)
	set(GIT_DEBUG_POOL 1)
endif()
add_feature_info(debugpool GIT_DEBUG_POOL "debug pool allocator")

if(DEBUG_STRICT_ALLOC)
	set(GIT_DEBUG_STRICT_ALLOC 1)
endif()
add_feature_info(debugalloc GIT_DEBUG_STRICT_ALLOC "debug strict allocators")

if(DEBUG_STRICT_OPEN)
	set(GIT_DEBUG_STRICT_OPEN 1)
endif()
add_feature_info(debugopen GIT_DEBUG_STRICT_OPEN "path validation in open")

#
# Optional feature enablement
#

include(SelectGSSAPI)
include(SelectHTTPSBackend)
include(SelectHashes)
include(SelectHTTPParser)
include(SelectRegex)
include(SelectSSH)
include(SelectWinHTTP)
include(SelectZlib)

#
# Platform support
#

# futimes/futimens

if(HAVE_FUTIMENS)
	set(GIT_USE_FUTIMENS 1)
endif ()
add_feature_info(futimens GIT_USE_FUTIMENS "futimens support")

# qsort

check_prototype_definition(qsort_r
	"void qsort_r(void *base, size_t nmemb, size_t size, void *thunk, int (*compar)(void *, const void *, const void *))"
	"" "stdlib.h" GIT_QSORT_R_BSD)

check_prototype_definition(qsort_r
	"void qsort_r(void *base, size_t nmemb, size_t size, int (*compar)(const void *, const void *, void *), void *arg)"
	"" "stdlib.h" GIT_QSORT_R_GNU)

check_function_exists(qsort_s GIT_QSORT_S)

# random / entropy data

check_function_exists(getentropy GIT_RAND_GETENTROPY)
check_function_exists(getloadavg GIT_RAND_GETLOADAVG)

# determine architecture of the machine

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(GIT_ARCH_64 1)
elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
	set(GIT_ARCH_32 1)
elseif(CMAKE_SIZEOF_VOID_P)
	message(FATAL_ERROR "Unsupported architecture (pointer size is ${CMAKE_SIZEOF_VOID_P} bytes)")
else()
	message(FATAL_ERROR "Unsupported architecture (CMAKE_SIZEOF_VOID_P is unset)")
endif()

# nanosecond mtime/ctime support

if(USE_NSEC)
	set(GIT_USE_NSEC 1)
endif()

# high-resolution stat support

if(HAVE_STRUCT_STAT_ST_MTIM)
	set(GIT_USE_STAT_MTIM 1)
elseif(HAVE_STRUCT_STAT_ST_MTIMESPEC)
	set(GIT_USE_STAT_MTIMESPEC 1)
elseif(HAVE_STRUCT_STAT_ST_MTIME_NSEC)
	set(GIT_USE_STAT_MTIME_NSEC 1)
endif()

# realtime support

check_library_exists(rt clock_gettime "time.h" NEED_LIBRT)
if(NEED_LIBRT)
	list(APPEND LIBGIT2_SYSTEM_LIBS rt)
	list(APPEND LIBGIT2_PC_LIBS "-lrt")
endif()

# platform libraries

if(WIN32)
	list(APPEND LIBGIT2_SYSTEM_LIBS ws2_32)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
	list(APPEND LIBGIT2_SYSTEM_LIBS socket nsl)
	list(APPEND LIBGIT2_PC_LIBS "-lsocket" "-lnsl")
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Haiku")
	list(APPEND LIBGIT2_SYSTEM_LIBS gnu network)
	list(APPEND LIBGIT2_PC_LIBS "-lgnu -lnetwork")
endif()

if(AMIGA)
	add_definitions(-DNO_ADDRINFO -DNO_READDIR_R -DNO_MMAP)
endif()

# threads

if(USE_THREADS)
	if(NOT WIN32)
		find_package(Threads REQUIRED)
		list(APPEND LIBGIT2_SYSTEM_LIBS ${CMAKE_THREAD_LIBS_INIT})
		list(APPEND LIBGIT2_PC_LIBS ${CMAKE_THREAD_LIBS_INIT})
	endif()

	set(GIT_THREADS 1)
endif()
add_feature_info(threadsafe USE_THREADS "threadsafe support")

#
# Optional bundled features
#

# ntlmclient
if(USE_NTLMCLIENT)
	set(GIT_NTLM 1)
	add_subdirectory("${PROJECT_SOURCE_DIR}/deps/ntlmclient" "${PROJECT_BINARY_DIR}/deps/ntlmclient")
	list(APPEND LIBGIT2_DEPENDENCY_INCLUDES "${PROJECT_SOURCE_DIR}/deps/ntlmclient")
	list(APPEND LIBGIT2_DEPENDENCY_OBJECTS "$<TARGET_OBJECTS:ntlmclient>")
endif()
add_feature_info(ntlmclient GIT_NTLM "NTLM authentication support for Unix")

#
# Optional external dependencies

# iconv
if(USE_ICONV)
	find_package(Iconv)
endif()
if(ICONV_FOUND)
	set(GIT_USE_ICONV 1)
	list(APPEND LIBGIT2_SYSTEM_INCLUDES ${ICONV_INCLUDE_DIR})
	list(APPEND LIBGIT2_SYSTEM_LIBS ${ICONV_LIBRARIES})
	list(APPEND LIBGIT2_PC_LIBS ${ICONV_LIBRARIES})
endif()
add_feature_info(iconv GIT_USE_ICONV "iconv encoding conversion support")

#
# Configure support
#

configure_file(features.h.in git2/sys/features.h)

#
# Include child projects
#

add_subdirectory(libgit2)
add_subdirectory(util)

if(BUILD_CLI)
	add_subdirectory(cli)
endif()

# re-export these to the root so that peer projects (tests, fuzzers,
# examples) can use them
set(LIBGIT2_INCLUDES ${LIBGIT2_INCLUDES} PARENT_SCOPE)
set(LIBGIT2_OBJECTS ${LIBGIT2_OBJECTS} PARENT_SCOPE)
set(LIBGIT2_DEPENDENCY_INCLUDES ${LIBGIT2_DEPENDENCY_INCLUDES} PARENT_SCOPE)
set(LIBGIT2_DEPENDENCY_OBJECTS ${LIBGIT2_DEPENDENCY_OBJECTS} PARENT_SCOPE)
set(LIBGIT2_SYSTEM_INCLUDES ${LIBGIT2_SYSTEM_INCLUDES} PARENT_SCOPE)
set(LIBGIT2_SYSTEM_LIBS ${LIBGIT2_SYSTEM_LIBS} PARENT_SCOPE)

=== libgit2-sys/libgit2/deps/chromium-zlib/CMakeLists.txt ===
# CMake build script for the bundled Chromium zlib implementation. So far, it
# is only supported for x86_64 processors with CLMUL, SSE3, SSE4.2.
#
# TODO: The Chromium build file (in deps/chromium-zlib/zlib/BUILD.gn) supports
# more platforms (like ARM with NEON), more can be enabled as needed.

cmake_minimum_required(VERSION 3.11)

include(FetchContent)
include(FindGit)

# Ensure that the git binary is present to download the sources.
find_package(Git)
if(NOT Git_FOUND)
	message(FATAL_ERROR "git is required to download the Chromium zlib sources")
endif()

fetchcontent_populate(chromium_zlib_src
	GIT_REPOSITORY https://chromium.googlesource.com/chromium/src/third_party/zlib.git
	GIT_TAG 2c183c9f93a328bfb3121284da13cf89a0f7e64a
	QUIET
)

# The Chromium build globally disables some warnings.
disable_warnings(implicit-fallthrough)
disable_warnings(unused-function)
disable_warnings(unused-parameter)
disable_warnings(sign-compare)
disable_warnings(declaration-after-statement)
disable_warnings(missing-declarations)

# -O3 is also set by the Chromium configuration and has been deemed safe enough
# for them.
set(CMAKE_C_FLAGS_RELWITHDEBINFO "-O3 -g -DNDEBUG")
set(CMAKE_C_FLAGS_RELEASE "-O3 -DNDEBUG")

# Common definitions.
add_definitions(
	-DSTDC
	-DNO_GZIP
	-DZLIB_IMPLEMENTATION
)
list(APPEND SRC_ZLIB
	"${chromium_zlib_src_SOURCE_DIR}/adler32.c"
	"${chromium_zlib_src_SOURCE_DIR}/chromeconf.h"
	"${chromium_zlib_src_SOURCE_DIR}/compress.c"
	"${chromium_zlib_src_SOURCE_DIR}/contrib/optimizations/insert_string.h"
	"${chromium_zlib_src_SOURCE_DIR}/cpu_features.c"
	"${chromium_zlib_src_SOURCE_DIR}/cpu_features.h"
	"${chromium_zlib_src_SOURCE_DIR}/crc32.c"
	"${chromium_zlib_src_SOURCE_DIR}/crc32.h"
	"${chromium_zlib_src_SOURCE_DIR}/deflate.c"
	"${chromium_zlib_src_SOURCE_DIR}/deflate.h"
	"${chromium_zlib_src_SOURCE_DIR}/gzclose.c"
	"${chromium_zlib_src_SOURCE_DIR}/gzguts.h"
	"${chromium_zlib_src_SOURCE_DIR}/gzlib.c"
	"${chromium_zlib_src_SOURCE_DIR}/gzread.c"
	"${chromium_zlib_src_SOURCE_DIR}/gzwrite.c"
	"${chromium_zlib_src_SOURCE_DIR}/infback.c"
	"${chromium_zlib_src_SOURCE_DIR}/inffast.c"
	"${chromium_zlib_src_SOURCE_DIR}/inffast.h"
	"${chromium_zlib_src_SOURCE_DIR}/inffixed.h"
	"${chromium_zlib_src_SOURCE_DIR}/inflate.h"
	"${chromium_zlib_src_SOURCE_DIR}/inftrees.c"
	"${chromium_zlib_src_SOURCE_DIR}/inftrees.h"
	"${chromium_zlib_src_SOURCE_DIR}/trees.c"
	"${chromium_zlib_src_SOURCE_DIR}/trees.h"
	"${chromium_zlib_src_SOURCE_DIR}/uncompr.c"
	"${chromium_zlib_src_SOURCE_DIR}/zconf.h"
	"${chromium_zlib_src_SOURCE_DIR}/zlib.h"
	"${chromium_zlib_src_SOURCE_DIR}/zutil.c"
	"${chromium_zlib_src_SOURCE_DIR}/zutil.h"
)

# x86_64-specific optimizations
string(APPEND CMAKE_C_FLAGS " -mssse3 -msse4.2 -mpclmul")
add_definitions(
  -DCHROMIUM_ZLIB_NO_CHROMECONF
	-DX86_NOT_WINDOWS
	-DADLER32_SIMD_SSSE3
	-DCRC32_SIMD_SSE42_PCLMUL
	-DDEFLATE_FILL_WINDOW_SSE2
	-DINFLATE_CHUNK_READ_64LE
	-DINFLATE_CHUNK_SIMD_SSE2
)
list(APPEND SRC_ZLIB
	"${chromium_zlib_src_SOURCE_DIR}/adler32_simd.c"
	"${chromium_zlib_src_SOURCE_DIR}/adler32_simd.h"
	"${chromium_zlib_src_SOURCE_DIR}/contrib/optimizations/chunkcopy.h"
	"${chromium_zlib_src_SOURCE_DIR}/contrib/optimizations/inffast_chunk.c"
	"${chromium_zlib_src_SOURCE_DIR}/contrib/optimizations/inffast_chunk.h"
	"${chromium_zlib_src_SOURCE_DIR}/contrib/optimizations/inflate.c"
	"${chromium_zlib_src_SOURCE_DIR}/crc32_simd.c"
	"${chromium_zlib_src_SOURCE_DIR}/crc32_simd.h"
	"${chromium_zlib_src_SOURCE_DIR}/crc_folding.c"
	"${chromium_zlib_src_SOURCE_DIR}/fill_window_sse.c"
)

list(SORT SRC_ZLIB)
include_directories("${chromium_zlib_src_SOURCE_DIR}")
add_library(chromium_zlib OBJECT ${SRC_ZLIB})

=== libgit2-sys/libgit2/src/util/CMakeLists.txt ===
# util: a shared library for common utility functions for libgit2 projects

add_library(util OBJECT)
set_target_properties(util PROPERTIES C_STANDARD 90)
set_target_properties(util PROPERTIES C_EXTENSIONS OFF)

set(UTIL_INCLUDES
	"${PROJECT_BINARY_DIR}/src"
	"${PROJECT_SOURCE_DIR}/src/util"
	"${PROJECT_SOURCE_DIR}/include")

file(GLOB UTIL_SRC *.c *.h allocators/*.c allocators/*.h hash.h)
list(SORT UTIL_SRC)

#
# Platform specific sources
#

if(WIN32 AND NOT CYGWIN)
	file(GLOB UTIL_SRC_OS win32/*.c win32/*.h)
	list(SORT UTIL_SRC_OS)
elseif(NOT AMIGA)
	file(GLOB UTIL_SRC_OS unix/*.c unix/*.h)
	list(SORT UTIL_SRC_OS)
endif()

#
# Hash backend selection
#

if(USE_SHA1 STREQUAL "CollisionDetection")
	file(GLOB UTIL_SRC_SHA1 hash/collisiondetect.* hash/sha1dc/*)
	target_compile_definitions(util PRIVATE SHA1DC_NO_STANDARD_INCLUDES=1)
        target_compile_definitions(util PRIVATE SHA1DC_CUSTOM_INCLUDE_SHA1_C=\"git2_util.h\")
        target_compile_definitions(util PRIVATE SHA1DC_CUSTOM_INCLUDE_UBC_CHECK_C=\"git2_util.h\")
elseif(USE_SHA1 STREQUAL "OpenSSL" OR USE_SHA1 STREQUAL "OpenSSL-Dynamic")
	file(GLOB UTIL_SRC_SHA1 hash/openssl.*)
elseif(USE_SHA1 STREQUAL "CommonCrypto")
	file(GLOB UTIL_SRC_SHA1 hash/common_crypto.*)
elseif(USE_SHA1 STREQUAL "mbedTLS")
	file(GLOB UTIL_SRC_SHA1 hash/mbedtls.*)
elseif(USE_SHA1 STREQUAL "Win32")
	file(GLOB UTIL_SRC_SHA1 hash/win32.*)
else()
	message(FATAL_ERROR "Asked for unknown SHA1 backend: ${USE_SHA1}")
endif()

list(SORT UTIL_SRC_SHA1)

if(USE_SHA256 STREQUAL "Builtin")
	file(GLOB UTIL_SRC_SHA256 hash/builtin.* hash/rfc6234/*)
elseif(USE_SHA256 STREQUAL "OpenSSL" OR USE_SHA256 STREQUAL "OpenSSL-Dynamic")
	file(GLOB UTIL_SRC_SHA256 hash/openssl.*)
elseif(USE_SHA256 STREQUAL "CommonCrypto")
	file(GLOB UTIL_SRC_SHA256 hash/common_crypto.*)
elseif(USE_SHA256 STREQUAL "mbedTLS")
	file(GLOB UTIL_SRC_SHA256 hash/mbedtls.*)
elseif(USE_SHA256 STREQUAL "Win32")
	file(GLOB UTIL_SRC_SHA256 hash/win32.*)
else()
	message(FATAL_ERROR "Asked for unknown SHA256 backend: ${USE_SHA256}")
endif()

list(SORT UTIL_SRC_SHA256)

#
# Build the library
#

target_sources(util PRIVATE ${UTIL_SRC} ${UTIL_SRC_OS} ${UTIL_SRC_SHA1} ${UTIL_SRC_SHA256})
ide_split_sources(util)

target_include_directories(util PRIVATE ${UTIL_INCLUDES} ${LIBGIT2_DEPENDENCY_INCLUDES} PUBLIC ${libgit2_SOURCE_DIR}/include)
target_include_directories(util SYSTEM PRIVATE ${LIBGIT2_SYSTEM_INCLUDES})

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
@@ -9,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 12~),
+ debhelper (>= 11~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
-	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
 
 override_dh_auto_build-arch:
 	$(CARGO) build

## cargo 0.66.0+ds1

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,20 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),
  libstd-rust-dev (>= 1.63),
+ dh-cargo        (>= 28ubuntu1),
  pkg-config,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
+ libgit2-dev (>= 1.5.0),
+ libgit2-dev (<< 1.6~~),
+ libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
  zlib1g-dev:native,
